#ifndef UTILS_VECTOR_HEADER_H
#define UTILS_VECTOR_HEADER_H
#include <stdint.h>
#include "ara/core/vector.h"

void pushFloatToUint8Vector(float value, ara::core::Vector<uint8_t> &uint8Vector);
void pushDoubleToUint8Vector(double value, ara::core::Vector<uint8_t> &uint8Vector);
void pushSizeToUint8Vector(uint16_t value, uint8_t size, ara::core::Vector<uint8_t> &uint8Vector);



class CircularVector {
public:
    explicit CircularVector(std::size_t maxSize);
    void pushBack(int value);
    ara::core::Vector<uint8_t>& getVector();
    // void printVector() const;

private:
    ara::core::Vector<uint8_t> circularVector;
    std::size_t maxSize;
    std::size_t position = 0;
};

#endif /*UTILS_VECTOR_HEADER_H*/